QGIS Application - Bug report #6990

pyspatialite: some spatialite functions not recognised

2013-01-14 08:11 AM - Laurent Gasnier

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 16094

Description

In DBManager, some spatialite functions known in V3.0.1 throw a database error "no such function".

Examples: ST_OffsetCurve, ST_Line_Interpolate_Point

SQL query used in SQL window:

SELECT PK_UID, textstring, ST_OffsetCurve(Geometry, 1000, 0) as geom from Anno_T®6;
SELECT PK_UID, textstring, ST_Line_Interpolate_Point(Geometry, 0.5) as geom from Anno_T§6;

History

#1 - 2013-01-14 08:15 AM - Giovanni Manghi
- Status changed from Open to Feedback

on qgis master, right?

#2 - 2013-01-14 08:15 AM - Giovanni Manghi

and on what OS?

#3 - 2013-01-14 08:20 AM - Laurent Gasnier

On qgis master and OS windows 7.

#4 - 2013-01-16 02:54 AM - Regis Haubourg

Confimed here with Qspatialite too. A provider issue?

Everything works ok in spatialite_gui_v4

#5 - 2013-02-17 01:11 AM - Jiirgen Fischer

- Status changed from Feedback to Open

#6 - 2013-04-14 02:50 PM - Giuseppe Sucameli

It depends on pyspatialite module.
#7 - 2013-04-14 02:51 PM - Giuseppe Sucameli
- Category deleted (DB Manager)
- Operating System set to Windows

#8 - 2013-04-14 02:52 PM - Giuseppe Sucameli
- Subject changed from DBManager : some spatialite functions not recognised to pyspatialite: some spatialite functions not recognised

#9 - 2013-04-14 10:23 PM - Paolo Cavallini

Shouldn't this be moved upstream, on the pyspatialite bugtracker?

#10 - 2013-04-15 04:07 AM - Laurent Gasnier

Is there a particular need of pyspatialite ?

For other GIS works on W7, | use pysqlite with Spatialite DDLs without such problems.
See https://groups.google.com/forum/?fromgroups=#!topic/spatialite-users/VawtWeN5t2Q
But | tested it only on W7...

#11 - 2013-05-29 09:21 AM - Paolo Cavallini
- Priority changed from High to Normal

Please move this to the relevant library; if necessary, open a new ticket about the rest

#12 - 2016-01-31 03:31 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

it seems to be fixed in QGIS 2.13 master (and probably in earlier releases) because | can use ST_Line_Interpolate_Point and St_Offsetcurve in

DBManager.

Can you confirm ?

#13 - 2016-02-13 07:15 AM - Laurent Gasnier

Yes, | confirm. These functions work on QGis 2.12. This issue can be closed.

Thanks.

#14 - 2016-02-13 10:29 AM - Médéric RIBREUX
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Ok, | am closing this bug because it is fixed in QGIS 2.13 and 2.12!
